Bug 59777 - extra file in util-linux rpm
extra file in util-linux rpm
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-02-13 02:17 EST by Rajiv Manglani
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-06 11:35:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rajiv Manglani 2002-02-13 02:17:36 EST
From Bugzilla Helper:

User-Agent: Mozilla/4.0 (compatible; MSIE 5.12; Mac_PowerPC)

Description of problem:

the changelog of the util-linux-2.11f notes that cfdisk was removed. 
however, /usr/share/doc/util-linux-2.11f/README.cfdisk

 is still included with the rpm. the binary and man page of cfdisk was 
removed, but not the readme file.

perhaps the readme file should read 'cfdisk was removed from the util-
linux rpm'.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:

rpm -ql util-linux

less /usr/share/doc/util-linux-2.11f/README.cfdisk

Additional info:

the util-linux change log notes:

* Sun Aug 26 2001 Elliot Lee <sopwith@redhat.com> 2.11f-9

- Don't include cfdisk, since it appears to be an even bigger pile of junk 
than fdisk? :)
Comment 1 Rajiv Manglani 2002-02-13 02:20:54 EST
additionally, http://www.redhat.com/docs/manuals/linux/RHL-7.2-Manual/
install-guide/dualboot-install.html recommends using cfdisk, even though 
it is no longer included with rh 7.2.
Comment 2 Rajiv Manglani 2002-02-15 02:25:43 EST
the fdisk man page still refers to cfdisk:

"(Indeed, cfdisk is a beautiful program  that  has  strict  requirements on 
the partition tables it accepts, and produces high quality partition tables. 
Use it if you can. ... "
Comment 3 Laurence Tyler 2002-03-06 11:35:42 EST
Could we please be told exactly *why* cfdisk has been removed? The comment about
it being a 'bigger heap of junk than fdisk' is unenlightening and rather
flippant. It also implies that fdisk is also 'a heap of junk'. What are we to
use instead? sfdisk - the most dangerous partitioning program around?

Personally I like cfdisk for normal use, and have never had trouble with it.
Previous developers have managed to maintain and update it. Please give some
more explanation as to why it has been dropped, or at least what it is that it
now can't cope with - someone else might want to fix it.
Comment 4 Elliot Lee 2002-03-08 14:21:44 EST
Fixed in util-linux-2.11n-7

For information on cfdisk removal, please see the previous bugs (search for
util-linux bugs with 'cfdisk' in text should find it).

Note You need to log in before you can comment on or make changes to this bug.